Subject: bug#26824: 24.5; Bytecode overflow error when byte compiling large .el file

From: Christian Wittern <[email-masked]>
Date: Tue, 9 May 2017 07:46:57 +0900

On 05/09/2017 01:40 AM, Glenn Morris wrote:
> Christian Wittern wrote:
>
>> I installed the package "mandoku" from melpa.  The latest version
>> includes a file "mandoku-cbeta.el".  When installing the package, this
>> file should be compiled, but the overflow error prevents this.
> I see that file basically contains a 16000 line nested cond, with one
> branch per line, and has now been marked no-byte-compile (by you, I'm
> guessing from the name?).
>
> https://github.com/mandoku/mandoku/commit/0e733fdaea77150539455656c2e6af08d19611b0
>
Yes, that is right.  This file is a bit of a crazy thing, if there is a 
better way to achieve this, I would be glad to know.  And I did mark it 
as no-byte-compile, but it seems that this has no effect, since when 
installed as a package the installer still attempts to byte compile it.
All the best,
Christian